package de.ivu.elect.presentation.menu;

import javax.annotation.Nullable;
import javax.inject.Inject;

import de.ivu.elect.jee.presentation.security.StartViewResolver;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public class StartViewMenuItemEntry extends AbstractMenuItemEntry{
  private static final long serialVersionUID = 1L;

  @Inject
  private transient StartViewResolver startViewResolver;

  @Override
  protected boolean isDisabledInternal() {
    return false;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

  @Nullable
  @Override
  public String getTargetViewId() {
    return startViewResolver.getStartViewId();
  }

  @Override
  public boolean isRendered() {
    return true;
  }

  @Override
  public String getIcon() {
    return "fa fa-home";
  }

  @Override
  public String getLabelKey() {
    return "";
  }

  @Override
  public String getStyleClass() {
    return "startview-menu-item";
  }
}
